/*
  C source for GNU CHESS

// Fixed for learning chess game using Windows 95 and higher by Tomas Peceny, April 2002.

  Revision: 1990-09-30
  Modified by Daryl Baker for use in MS WINDOWS environment

  This file is part of CHESS.

  CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY.  No author or distributor accepts responsibility to anyone for
  the consequences of using it or for whether it serves any particular
  purpose or works at all, unless he says so in writing.  Refer to the CHESS
  General Public License for full details.

  Everyone is granted permission to copy, modify and redistribute CHESS, but
  only under the conditions described in the CHESS General Public License.
  A copy of this license is supposed to have been given to you along with
  CHESS so you can know your rights and responsibilities.  It should be in a
  file named COPYING.  Among other things, the copyright notice and this
  notice must be preserved on all copies.
*/

#include <windows.h>
#include <time.h>
#include <sys\types.h>
#include <sys\stat.h>
#include "resource.h"

extern HWND hWndTP;// the main window

BOOL CALLBACK About(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam) // BOOL FAR PASCAL...WORD,LONG
{
	TCHAR RetezTP[100];
   
   switch (message) {

      case WM_INITDIALOG:		   /* message: initialize dialog box */
#ifdef UNICODE
			LoadString ((HINSTANCE)GetWindowLong(hWndTP,GWL_HINSTANCE),
                            ABOUTBOX_CAPTION_U, RetezTP, 100);
#else
			LoadString ((HINSTANCE)GetWindowLong(hWndTP,GWL_HINSTANCE),
                            ABOUTBOX_CAPTION_A, RetezTP, 100);
#endif
			SetWindowText(hDlg,RetezTP);
         return (TRUE);

      case WM_SYSCOMMAND:
         if ( (wParam&0xfff0) == SC_CLOSE ) {
   		      EndDialog(hDlg, 0);
	   	      return TRUE;
         }
         break;


	   case WM_COMMAND:		      /* message: received a command */
	      if (wParam == IDOK) {
		      EndDialog(hDlg, 0);
		      return (TRUE);
	      }
	      break;
    }

    return (FALSE);			      /* Didn't process a message    */
}
