/*
  C source for GNU CHESS

// Fixed for learning chess game using Windows 95 and higher by Tomas Peceny, March 2002.

  Revision: 1990-09-30
  Modified by Daryl Baker for use in MS WINDOWS environment

  This file is part of CHESS.

  CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY.  No author or distributor accepts responsibility to anyone for
  the consequences of using it or for whether it serves any particular
  purpose or works at all, unless he says so in writing.  Refer to the CHESS
  General Public License for full details.

  Everyone is granted permission to copy, modify and redistribute CHESS, but
  only under the conditions described in the CHESS General Public License.
  A copy of this license is supposed to have been given to you along with
  CHESS so you can know your rights and responsibilities.  It should be in a
  file named COPYING.  Among other things, the copyright notice and this
  notice must be preserved on all copies.
*/

#define TMDLG_MIN_WHITE 300 // added _WHITE
#define TMDLG_MIN_BLACK 1300 // added _BLACK
#define TMDLG_MOV 100

#define TMDLG_600MIN_WHITE  (TMDLG_MIN_WHITE+600) // added _WHITE
#define TMDLG_120MIN_WHITE  (TMDLG_MIN_WHITE+120) // added _WHITE
#define TMDLG_60MIN_WHITE  (TMDLG_MIN_WHITE+60) // added _WHITE
#define TMDLG_10MIN_WHITE  (TMDLG_MIN_WHITE+10) // added _WHITE
#define TMDLG_5MIN_WHITE   (TMDLG_MIN_WHITE+5) // added _WHITE

#define TMDLG_600MIN_BLACK  (TMDLG_MIN_BLACK+600) // added _BLACK
#define TMDLG_120MIN_BLACK  (TMDLG_MIN_BLACK+120) // added _BLACK
#define TMDLG_60MIN_BLACK  (TMDLG_MIN_BLACK+60) // added _BLACK
#define TMDLG_10MIN_BLACK  (TMDLG_MIN_BLACK+10) // added _BLACK
#define TMDLG_5MIN_BLACK   (TMDLG_MIN_BLACK+5) // added _BLACK

#define TMDLG_60MOV  (TMDLG_MOV+60)
#define TMDLG_40MOV  (TMDLG_MOV+40)
#define TMDLG_20MOV  (TMDLG_MOV+20)
#define TMDLG_10MOV  (TMDLG_MOV+10)
#define TMDLG_1MOV   (TMDLG_MOV+1)
